Bug 1090186 - Igor Gnatenko's kernel-package python scripts fail on 32-bit "Couldn't obtain fanout table"
Summary: Igor Gnatenko's kernel-package python scripts fail on 32-bit "Couldn't obtain...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-gitdb
Version: 21
Hardware: i686
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-22 21:16 UTC by Trevor Cordes
Modified: 2015-06-10 08:08 UTC (History)
1 user (show)

Fixed In Version: GitPython-1.0.1-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-09 15:15:57 UTC
Type: Bug


Attachments (Terms of Use)

Description Trevor Cordes 2014-04-22 21:16:59 UTC
Description of problem:
I am trying to use Igor Gnatenko's kernel-package to bisect the kernel for Fedora 19 to solve another bug, as per this page: https://fedoraproject.org/wiki/User:Ignatenkobrain/Kernel/Bisection

Following the instructions, at the ../kernel-package/kernel-package.py stage I get this output:

Traceback (most recent call last):
  File "../kernel-package/kernel-package.py", line 342, in <module>
    main()
  File "../kernel-package/kernel-package.py", line 330, in main
    options = Options(WORK_DIR)
  File "../kernel-package/kernel-package.py", line 47, in __init__
    self.hcommit = self.repo.head.commit
  File "/usr/lib/python2.7/site-packages/git/refs/symbolic.py", line 168, in _get_commit
    obj = self._get_object()
  File "/usr/lib/python2.7/site-packages/git/refs/symbolic.py", line 161, in _get_object
    return Object.new_from_sha(self.repo, hex_to_bin(self.dereference_recursive(self.repo, self.path)))
  File "/usr/lib/python2.7/site-packages/git/objects/base.py", line 64, in new_from_sha
    oinfo = repo.odb.info(sha1)
  File "/usr/lib/python2.7/site-packages/gitdb/db/base.py", line 256, in info
    return self._db_query(sha).info(sha)
  File "/usr/lib/python2.7/site-packages/gitdb/db/base.py", line 239, in _db_query
    if db.has_object(sha):
  File "/usr/lib/python2.7/site-packages/gitdb/db/pack.py", line 88, in has_object
    self._pack_info(sha)
  File "/usr/lib/python2.7/site-packages/gitdb/db/pack.py", line 71, in _pack_info
    index = item[2](sha)
  File "/usr/lib/python2.7/site-packages/gitdb/pack.py", line 492, in sha_to_index
    return PackIndexFile_sha_to_index(self, sha)
ValueError: Couldn't obtain fanout table
Exit 1

It seems similar to bug #1004918.  Without Igor's scripts, I don't see how I can easily bisect vanilla kernel with Fedora's config (I am new at it).

Bug #1004918 seems to indicate it is because I am running 32-bit.  Igor says it does not happen on 64-bit.  He said to open a new bugzilla for it.


Version-Release number of selected component (if applicable):
python-2.7.5-9.fc19.i686
python-gitdb-0.5.4-5.fc19.i686


How reproducible:
always


Steps to Reproduce:
1. Follow instruction on web page
2. ../kernel-package/kernel-package.py
3.

Actual results:
errors as above


Expected results:
completes so I can build the kernel to test


Additional info:
possibly a 32-bit only bug

Comment 1 Fedora End Of Life 2015-01-09 21:19:18 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-02-17 20:11:17 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Trevor Cordes 2015-03-13 20:23:33 UTC
I'm now running F21, and I need to use his scripts to compile another 32-bit PAE kernel and the bug remains.

Comment 4 Fedora Update System 2015-05-31 22:50:36 UTC
GitPython-1.0.1-1.fc22,python-smmap-0.9.0-1.fc22,python-gitdb-0.6.4-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/GitPython-1.0.1-1.fc22,python-smmap-0.9.0-1.fc22,python-gitdb-0.6.4-1.fc22

Comment 5 Fedora Update System 2015-06-02 15:17:18 UTC
Package GitPython-1.0.1-1.fc22, python-gitdb-0.6.4-1.fc22, python-smmap-0.9.0-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing GitPython-1.0.1-1.fc22 python-gitdb-0.6.4-1.fc22 python-smmap-0.9.0-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9354/GitPython-1.0.1-1.fc22,python-smmap-0.9.0-1.fc22,python-gitdb-0.6.4-1.fc22
then log in and leave karma (feedback).

Comment 6 Trevor Cordes 2015-06-05 04:14:49 UTC
My box against which I filed the original bug report is still running F21 (22 is a little new for me).  Is it possible to get this update pushed for F21?  Then I can directly test if it solves my bug.  Thanks!

Comment 7 Fedora Update System 2015-06-09 15:15:57 UTC
GitPython-1.0.1-1.fc22, python-gitdb-0.6.4-1.fc22, python-smmap-0.9.0-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Dennis Gilmore 2015-06-09 22:41:59 UTC
there is a F21 build in koji, I have not pushed it yet as I wanted more testing first

Comment 9 Trevor Cordes 2015-06-10 08:02:29 UTC
I just got from koji:
python-gitdb-0.6.4-1.fc21.i686.rpm
GitPython-1.0.1-1.fc21.noarch.rpm

And I still get the same bug error:

[...]
  File "/usr/lib/python2.7/site-packages/gitdb/pack.py", line 500, in sha_to_index
    return PackIndexFile_sha_to_index(self, sha)
ValueError: Couldn't obtain fanout table

Relevant packages:
GitPython-1.0.1-1.fc21.noarch
python-gitdb-0.6.4-1.fc21.i686
python-pygit2-0.21.4-1.fc21.i686
python-2.7.8-9.fc21.i686


Is there something else I need to install from testing?

Or should I reopen this bug??

Comment 10 Trevor Cordes 2015-06-10 08:04:22 UTC
Oh, I just saw:
python-smmap-0.9.0-1.fc21.noarch

installed it and still bug remains.

Comment 11 Trevor Cordes 2015-06-10 08:08:11 UTC
I can't see a way in bodhi to leave karma for the F21 version?

Anyways, it looks like the new version does *not* solve my bug.  Can we reopen?


Note You need to log in before you can comment on or make changes to this bug.